<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Overview &#8212; PyXB 1.2.6 documentation</title>
    
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.2.6',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="What Is PyXB?" href="overview_what.html" />
    <link rel="prev" title="PyXB: Python XML Schema Bindings" href="index.html" /> 
  </head>
  <body role="document">
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="overview_what.html" title="What Is PyXB?"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="PyXB: Python XML Schema Bindings"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PyXB 1.2.6 documentation</a> &#187;</li>
    <li style="margin-left: 20px">PyXB hosted on <a href="http://sourceforge.net/projects/pyxb"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=263147&amp;type=9"
    width="80" height="15" alt="Get PyXB: Python XML Schema Bindings at SourceForge.net. Fast, secure and Free Open Source software downloads"/></a></li>
     

      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="overview">
<h1>Overview<a class="headerlink" href="#overview" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="overview_what.html">What Is PyXB?</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview_how.html">How to use it</a><ul>
<li class="toctree-l2"><a class="reference internal" href="overview_how.html#installation">Installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_how.html#generating-bindings">Generating Bindings</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_how.html#wsdl-functions">WSDL Functions</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="bundles.html">Examples of Supported Schema</a><ul>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#common">common</a></li>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#ws">WS-*</a></li>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#saml">SAML</a></li>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#dublin-core">Dublin Core</a></li>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#ecma-376-open-office-xml">ECMA-376 (Open Office XML)</a></li>
<li class="toctree-l2"><a class="reference internal" href="bundles.html#opengis">OpenGIS</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="limitations.html">Limitations</a><ul>
<li class="toctree-l2"><a class="reference internal" href="limitations.html#things-that-work">Things That Work</a></li>
<li class="toctree-l2"><a class="reference internal" href="limitations.html#things-that-don-t-work">Things That Don&#8217;t Work</a></li>
<li class="toctree-l2"><a class="reference internal" href="limitations.html#things-that-mostly-work-but-they-re-ugly">Things That Mostly Work, But They&#8217;re Ugly</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="legal.html">License and Disclaimers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="legal.html#license">License</a></li>
<li class="toctree-l2"><a class="reference internal" href="legal.html#about-the-demonstration-web-services">About the Demonstration Web Services</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="vision.html">PyXB Vision</a><ul>
<li class="toctree-l2"><a class="reference internal" href="vision.html#origins">Origins</a></li>
<li class="toctree-l2"><a class="reference internal" href="vision.html#design-goals">Design Goals</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="related.html">Related Packages</a></li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="index.html"
                        title="previous chapter">PyXB: Python XML Schema Bindings</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="overview_what.html"
                        title="next chapter">What Is PyXB?</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/overview.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="overview_what.html" title="What Is PyXB?"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="PyXB: Python XML Schema Bindings"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PyXB 1.2.6 documentation</a> &#187;</li>
    <li style="margin-left: 20px">PyXB hosted on <a href="http://sourceforge.net/projects/pyxb"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=263147&amp;type=9"
    width="80" height="15" alt="Get PyXB: Python XML Schema Bindings at SourceForge.net. Fast, secure and Free Open Source software downloads"/></a></li>
     

      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2017, Peter A. Bigot.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.5.5.
    </div>
  </body>
</html>